libjpeg-turbo (2.1.5-4ubuntu2) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 24 Jul 2025 14:15:26 +0200

libjpeg-turbo (1:2.1.5-4) unstable; urgency=medium

  [ Sean McGovern ]
  * Remove powerpc from JAVA_ARCHS as it is currently broken.

  [ Jeremy Bícha ]
  * Strip -Wl,-Bsymbolic-functions out of LDFLAGS
    so that hpcups and pxljr can override jinit_color_converter
    (Closes: #1089027) (LP: #777670).

  [ Mike Gabriel ]
  * debian/source/lintian-overrides:
    + Drop various very-long-line-length-in-source-file (for non-text files).
      Not needed with recent lintian anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 16:07:15 +0200

libjpeg-turbo (2.1.5-3ubuntu2) plucky; urgency=medium

  * Follow Debian's 2015 rename of libturbojpeg to libturbojpeg0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 12:18:01 -0500

libjpeg-turbo (2.1.5-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2086846). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 Nov 2024 12:34:07 +0100

libjpeg-turbo (1:2.1.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhaixiaojuan ]
  * Fix test failure for loong64

 -- xiao sheng wen <atzlinux@debian.org>  Sat, 22 Feb 2025 12:18:15 +0800

libjpeg-turbo (1:2.1.5-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable Java binding only where Java is available.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).

  [ Mike Gabriel ]
  * debian/control:
    + White-space fix in B-D field + trailing comma.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 25 Apr 2024 16:17:41 +0200

libjpeg-turbo (2.1.5-2ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:04:50 +0200

libjpeg-turbo (2.1.5-2ubuntu1) lunar; urgency=medium

  * Sync with Debian for first time since package was uploaded to Debian
    (LP: #1562880). Remaining changes:
    - Drop epoch except for libturbojpeg0-dev (& libturbojpeg) since Debian's
      krita package has a versioned Build-Depends on it
    - Set -DWITH_JPEG8=1 and use existing Ubuntu package names
    - Override dh_makeshlibs to use the original libjpeg symbol version
    - Have libturbojpeg0-dev depend on libjpeg-turbo8-dev instead of conflict
      with it
    - Don't have libjpeg-turbo8-dev conflict with libjpeg8-dev
    - Don't build the transitional libjpeg-dev package from here for now;
      Ubuntu builds it from libjpeg8-empty
    - Have libjpeg-turbo-progs Break/Replace libjpeg-turbo-test
      for move of tjbench
    - Use libturbojpeg library name instead of libturbojpeg0
      to avoid a transition for now
    - Strip -Wl,-Bsymbolic-functions out of LDFLAGS, so that hpcups and
      pxljr can override jinit_color_converter (LP: #777670)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 14:06:46 -0500

libjpeg-turbo (1:2.1.5-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_initialize-simd-support-before-every-use.patch. (Closes:
      #1030347).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 15:28:42 +0100

libjpeg-turbo (1:2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase patches.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Cleanup copyright.in manually. Too much binary noise.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * lintian: Adjust lintian override tags to new syntax, adjust upstream
    version 2.1.5.
  * debian/watch:
    + Ignore RC releases (x.y.9z pattern).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Feb 2023 11:45:21 +0100

libjpeg-turbo (1:2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Add get-orig-source target (for maintainers' convenience).
  * debian/control:
    + Add B-D: help2man.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Mathieu Malaterre ]
  * debian/rules:
    + Prefer auto generated tjbench manpage. (Closes: #1000462).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 26 Nov 2021 14:41:55 +0100

libjpeg-turbo (1:2.1.1-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * Build with Java enabled. (Closes: #989217).
    - d/control: Add libturbojpeg-java package.
      (Build-Depends): Add javahelper and default-jdk.
    - d/libturbojpeg0.symbols: Update symbols file.
    - d/libturbojpeg-java.install: Install jar file.
    - d/rules (override_dh_auto_configure): Enable WITH_JAVA.
    - d/rules: Use javahelper.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_fix-groff-warning-macro-f-not-defined.patch. Fix lintian
      issue: groff-message usr/share/man/man1/jpegtran.1.gz (line 1) 170:
      warning: macro 'f'' not defined.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Nov 2021 07:51:32 +0100

libjpeg-turbo (1:2.1.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release. (Closes: #994632).
  * debian/watch:
    + Stop obtaining upstream tarballs from Sourceforge, directly use Github
      instead.
  * debian/copyright:
    + Update autogenerated copyright.in reference file.
    + Update copyright attributions. Convert file to detailed format.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/libturbojpeg0-dev.install:
    + Include cmake modules.
  * debian/source/lintian-overrides:
    + Update lintian overrides.
  * debian/rules:
    + Drop  --with-build-date configure option. Not supported anymore.
      At the risk of loosing reproducibility during builds. (Closes: #997394).
  * debian/patches:
    + Drop 1002_jpeg-skip-scanlines-avoid-NULL+0-UBSan-error.patch and
      0001-cmake-MATCHES-uses-regex-not-globs.patch. Applied upstream.
  * debian/patches:
    + Trivial rebase of 1001-use-utc-timestamp.patch and
      2001_dont-set-RPATH.patch.

  [ Simon McVittie ]
  * debian/tests:
    + Add a superficial test for the development files. (Closes: #997946).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 11 Nov 2021 01:17:59 +0100

libjpeg-turbo (1:2.0.6-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/patches:
    + Add 0001-cmake-MATCHES-uses-regex-not-globs.patch. Fix for cmake MATCHES
      to fix sparc64 FTBFS.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1002_jpeg-skip-scanlines-avoid-NULL+0-UBSan-error.patch.
      jpeg_skip_scanlines(): Avoid NULL + 0 UBSan error. (CVE-2021-0384).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 14 Mar 2021 15:45:05 +0100

libjpeg-turbo (1:2.0.6-3) SKIPPED; urgency=medium

  * This version never got uploaded to Debian, due to an error when
    creating d/changelog stanzas.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Mar 2021 10:29:14 +0100

libjpeg-turbo (1:2.0.6-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * debian/rules:
    + Fix test result comparison for several architectures with 2.0.6.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Feb 2021 12:15:18 +0100

libjpeg-turbo (1:2.0.6-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * debian/extra/Makefile:
    + Do not pass user and group to install command.
  * debian/control:
    + Re-add Rules-Requires-Root: field. (Closes: #978998).

  [ Mike Gabriel ]
  * New upstream version 2.0.6
  * debian/patches:
    + Rebase 2001_dont-set-RPATH.patch.
    + Add Forwarded: field to 2001_dont-set-RPATH.patch's header. The patch is
      Debian-specific.
  * debian/upstream/signing-key.asc:
    + Add file (GnuPG key: 0x7EC2DBB6F4DBF434).
  * debian/watch:
    + Add pgpsigurlmangle option.
    + Switch to format version 4.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Make copyright attributions more precise, update for this upstream
      release.
  * debian/missing-sources:
    + Update jquery.js from 1.7.1 to 3.4.1 (same version as used in pre-built
      doxygen docs).
  * debian/source/lintian-overrides:
    + Silence lintian that rightfully complains about pre-built doxygen docs
      being shipped in the src:pkg. Amending this is on the todo list.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Feb 2021 13:39:05 +0100

libjpeg-turbo (1:2.0.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright:
    + Use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Vagrant Cascadian ]
  * debian/patches:
    + Add 1001-use-utc-timestamp.patch. Use UTC timestamp to enable reproducible
      build. (Closes: #968627).

  [ Helmut Grohne ]
  * debian/control:
    + Convert libjpeg-dev to Architecture: any. (Closes: #897646).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Jan 2021 21:43:20 +0100

libjpeg-turbo (1:2.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix incorrect FLOATTEST guesses causing test failures.
    (Closes: #966421)
  * Add -ffloat-store only on m68k.
  * Add the missing epochs to symbols files. (Closes: #966409)
  * Remove non-working Rules-Requires-Root.

  [ Mike Gabriel ]
  * lintian: Renamed tag: shlib-calls-exit -> exit-in-shared-library.
  * debian/rules: Drop explicit setting of DEB_LDFLAGS_MAINT_APPEND.

 -- Adrian Bunk <bunk@debian.org>  Fri, 31 Jul 2020 17:51:51 +0300

libjpeg-turbo (1:2.0.5-1) unstable; urgency=medium

  * Upload to unstable.

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/copyright:
    + Add auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Jul 2020 23:57:20 +0200

libjpeg-turbo (1:2.0.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_CVE-2019-2201-followup.patch. Applied upstream.
  * debian/control:
    + Add RulesRequiresRoot: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Jan 2020 08:15:09 +0100

libjpeg-turbo (1:2.0.3-1~exp1) experimental; urgency=medium

  * New upstream release.
    - CVE-2019-2201: TurboJPEG: Properly handle gigapixel images Prevent
      several integer overflow issues and subsequent segfaults that occurred
      when attempting to compress or decompress gigapixel images with the
      TurboJPEG API. 64-bit tjbench: Fix signed int overflow/segfault.
  * debian/patches:
    + Cherry-pick 0001_CVE-2019-2201-followup.patch from upstream.
      64-bit tjbench: Fix signed int overflow/segfault.
      Following-up on the fix for CVE-2019-2201.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
  * debian/rules:
    + Re-add uscan-based get-orig-source target (to ease my day for upstream
      tarball retrieval).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Dec 2019 13:48:20 +0100

libjpeg-turbo (1:2.0.2-1~exp4) experimental; urgency=medium

  * debian/rules:
    + Fix SIMD build option (we got it the wrong way 'round in the previous
      upload.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Aug 2019 14:27:45 +0200

libjpeg-turbo (1:2.0.2-1~exp3) experimental; urgency=medium

  * debian/rules:
    + Explicitly set CMAKE_INSTALL_MANDIR, fixes FTBFS for kfreebsd-<arch>
      builds.
    + Migrate DISABLE_SIMD variable to values that cmake can understand.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Aug 2019 08:31:12 +0200

libjpeg-turbo (1:2.0.2-1~exp2) experimental; urgency=medium

  * debian/copyright:
    + Update Source: field. Upstream has moved to Github.
  * debian/rules:
    + cmake builds in obj-<DEB_HOST_GNU_TYPE>, not obj-<DEB_HOST_MULTIARCH>.
      This fixes FTBFS on 32-bit platforms.
  * debian/libjpeg62-turbo.symbols:
    + Update symbols for i386 builds, i.e. drop jpeg_simd_cpu_support.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Aug 2019 16:32:54 +0200

libjpeg-turbo (1:2.0.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_dont-set-RPATH.patch. Don't add an rpath to the progs built
      with this library.
  * debian/extra:
    + White-space cleanup.
  * debian/control:
    + Update Vcs-*: URLs. Packaging Git has been moved to salsa.debian.org.
    + Add B-D: cmake (>= 2.8.12).
    + Bump Standards-Version: to 4.4.0. No changes needed.
    + Update Homepage: field with https URL.
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/rules:
    + Since switch to cmake build system, jconfig.h needs to be picked from
      another build time location.
    + Move --fail-missing option from dh_install to dh_missing override.
    + Drop doc files from debian/tmp/ after dh_auto_install.
    + Set CMAKE_INSTALL_LIBDIR explicitly in dh_auto_configure.
    + Drop --parallel DHFLAG. It's default since DH compat level 10.
    + Drop dbgsym-migration options from dh call.
    + Drop "--with autoreconf" DH option. It has been the default since DH
      compat level 10.
  * debian/*.symbols:
    + Update .symbols files for this upstream release.
    + Add Build-Depends-Package: meta data field.
  * debian/libjpeg62-turbo-dev.docs:
    + Add several more documentation files.
  * debian/libjpeg-turbo-progs.lintian-overrides:
    + Drop file. Override not needed anymore (binary-without-manpage
      usr/bin/tjbench).
  * debian/libturbojpeg0.lintian-overrides:
    + Update SOVERSION in override.
  * debian/libjpeg62-turbo.lintian-overrides:
    + Add explanation to package-name-doesnt-match-sonames override.
    + Add shlib-calls-exit override.
  * debian/copyright:
    + Update Format: field with https URL.
    + Fix path name.
  * debian/libjpeg62-turbo-dev.examples:
    + Add an example file.
  * debian/changelog:
    + White-space cleanup.
  * debian/tjbench.1:
    + White-space cleanup.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 21 Aug 2019 15:58:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libturbojpeg0`.
